-- Advanced  Tools for Mission Editor
local thisModule


local function onCreatePlayer(player)
    player:display("Welcome in " .. ATME.getTheatre() .. " ... " .. player:getPseudo(), 10)
end

local function onUpdatePlayer(player, events)
    local text = "Azimuth : " .. player:getAzimuth()
    if player:inAir() == true then
        player:display("In Air : " .. text, 5)
    else
        player:display("On floor : " .. text, 5)
    end
end


-- MAIN
do
    local newHandlers = {
        onCreatePlayerHandler = onCreatePlayer,
        onDeletePlayerHandler = nil,
        onUpdatePlayerHandler = onUpdatePlayer,
        onTakeoffPlayerHandler = nil,
        onLandingPlayerHandler = nil,
        onStartEnginePlayerHandler = nil,
        onStopEnginePlayerHandler = nil,
        
        onCreateAIUnitHandler = nil,
        onDeleteAIUnitHandler = nil,
        onDisableAIUnitHandler = nil,
        onTakeoffAIUnitHandler = nil,
        onLandingAIUnitHandler = nil,
        onStartEngineAIUnitHandler = nil,
        onStopEngineAIUnitHandler = nil,
        
        onCreateGroupHandler = nil,
        onDeleteGroupHandler = nil,
        onDisableGroupHandler = nil,
        
        onCreateStaticObjectHandler = nil,
        onDeleteStaticObjectHandler = nil,
    
        onTimerHandler = nil,
        onModuleStartHandler = nil,
    }
        
    thisModule = ATME.C_Module("Module1", newHandlers, true)
end
